DFSPVD(3)

SYNOPSIS
SUBROUTINE DFSPVD (T, K, X, ILEFT, VNIKX, NDERIV)

NAME
dfspvd - Subsidiary to DFC

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (BSPLVD-S, DFSPVD-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
**** Double Precision Version of BSPLVD **** Calculates value and deriv.s of all B-splines which do not vanish at X Fill VNIKX(J,IDERIV), J=IDERIV, ... ,K with nonzero values of B-splines of order K+1-IDERIV , IDERIV=NDERIV, ... ,1, by repeated calls to DFSPVN

SEE ALSO
DFC

ROUTINES CALLED
DFSPVN

REVISION HISTORY (YYMMDD)
780801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890831 Modified array declarations. (WRB)
890911 Removed unnecessary intrinsics. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)